Changeset 1658 for trunk


Ignore:
Timestamp:
Jan 1, 2011 1:46:15 PM (9 years ago)
Author:
stefan
Message:

update to recent stables in externals, where available; rerun autotools; remove Externals file

Location:
trunk
Files:
1 deleted
4 edited

Legend:

Unmodified
Added
Removed
  • trunk

    • Property svn:externals
      •  

        old new  
        1 BuildTools    https://projects.coin-or.org/svn/BuildTools/trunk
        2 ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/trunk
        3 ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/trunk
        4 #Data/Netlib   https://projects.coin-or.org/svn/Data/Netlib/trunk
        5 Data/Sample   https://projects.coin-or.org/svn/Data/Sample/trunk
         1BuildTools    https://projects.coin-or.org/svn/BuildTools/stable/0.7
         2ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/stable/1.2
         3ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/stable/1.3
         4#Data/Netlib   https://projects.coin-or.org/svn/Data/Netlib/stable/1.2
         5Data/Sample   https://projects.coin-or.org/svn/Data/Sample/stable/1.2
        66CoinUtils     https://projects.coin-or.org/svn/CoinUtils/trunk/CoinUtils
        77Osi           https://projects.coin-or.org/svn/Osi/trunk/Osi
        8 
  • trunk/Dependencies

    r1624 r1658  
    1 BuildTools    https://projects.coin-or.org/svn/BuildTools/trunk
    2 ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/trunk
    3 ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/trunk
    4 #Data/Netlib   https://projects.coin-or.org/svn/Data/Netlib/trunk
    5 Data/Sample   https://projects.coin-or.org/svn/Data/Sample/trunk
     1BuildTools    https://projects.coin-or.org/svn/BuildTools/stable/0.7
     2ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/stable/1.2
     3ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/stable/1.3
     4#Data/Netlib   https://projects.coin-or.org/svn/Data/Netlib/stable/1.2
     5Data/Sample   https://projects.coin-or.org/svn/Data/Sample/stable/1.2
    66CoinUtils     https://projects.coin-or.org/svn/CoinUtils/trunk/CoinUtils
    7 Osi     https://projects.coin-or.org/svn/Osi/trunk/Osi
     7Osi           https://projects.coin-or.org/svn/Osi/trunk/Osi
  • trunk/Makefile.in

    r1655 r1658  
    110110CDEFS = @CDEFS@
    111111CFLAGS = @CFLAGS@
     112COIN_CC_IS_CL_FALSE = @COIN_CC_IS_CL_FALSE@
     113COIN_CC_IS_CL_TRUE = @COIN_CC_IS_CL_TRUE@
     114COIN_CXX_IS_CL_FALSE = @COIN_CXX_IS_CL_FALSE@
     115COIN_CXX_IS_CL_TRUE = @COIN_CXX_IS_CL_TRUE@
    112116COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    113117COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
  • trunk/configure

    r1655 r1658  
    481481ac_subdirs_all="$ac_subdirs_all Osi"
    482482ac_subdirs_all="$ac_subdirs_all Clp"
    483 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     483ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    484484ac_subst_files=''
    485485
     
    18461846fi
    18471847
     1848# add automake conditional so we can recognize cl compiler in makefile
     1849coin_cc_is_cl=false
     1850if test x"$CXX" != x; then
     1851  case "$CXX" in
     1852    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     1853      coin_cc_is_cl=true
     1854      ;;
     1855  esac
     1856fi
     1857
     1858
     1859if test $coin_cc_is_cl = true; then
     1860  COIN_CC_IS_CL_TRUE=
     1861  COIN_CC_IS_CL_FALSE='#'
     1862else
     1863  COIN_CC_IS_CL_TRUE='#'
     1864  COIN_CC_IS_CL_FALSE=
     1865fi
     1866
     1867
    18481868
    18491869
     
    19261946             fi
    19271947             ;;
     1948  *-linux-gnu*) comps="gcc cc pgcc icc xlc" ;;
    19281949  *-linux-*) comps="xlc gcc cc pgcc icc" ;;
    19291950  *)         comps="xlc_r xlc cc gcc pgcc icc" ;;
     
    30653086fi
    30663087
    3067 # Correct ADDLIBS initialization if we are using the MS compiler
     3088# Correct the LD variable if we are using the MS or Intel-windows compiler
    30683089case "$CC" in
    30693090  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3070     ADDLIBS=
    30713091    case $build in
    30723092  *-mingw*)
     
    31253145             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    31263146  *-darwin*) comps="g++ c++ CC" ;;
     3147  *-linux-gnu*)
     3148             comps="g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC xlC_r aCC CC" ;;
    31273149          *) comps="xlC_r aCC CC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    31283150esac
     
    35563578
    35573579
     3580coin_cxx_is_cl=false
    35583581# It seems that we need to cleanup something here for the Windows
    35593582case "$CXX" in
     
    35613584    sed -e 's/^void exit (int);//' confdefs.h >> confdefs.hh
    35623585    mv confdefs.hh confdefs.h
     3586    coin_cxx_is_cl=true
    35633587    ;;
    35643588esac
     3589
     3590# add automake conditional so we can recognize cl compiler in makefile
     3591
     3592
     3593if test $coin_cxx_is_cl = true; then
     3594  COIN_CXX_IS_CL_TRUE=
     3595  COIN_CXX_IS_CL_FALSE='#'
     3596else
     3597  COIN_CXX_IS_CL_TRUE='#'
     3598  COIN_CXX_IS_CL_FALSE=
     3599fi
     3600
    35653601
    35663602# Autoconf incorrectly concludes that cl recognises -g. It doesn't.
     
    39914027fi
    39924028
     4029# correct the LD variable in a mingw build with MS or intel compiler
    39934030case "$CXX" in
    3994   cl* | */cl* | CL* | */CL* )
     4031  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    39954032    case $build in
    39964033  *-mingw*)
     
    40294066  *-*-solaris*)
    40304067     coin_f77_comps="f95 f90 f77 xlf_r fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
     4068  *-linux-gnu*)
     4069     coin_f77_comps="gfortran fort77 f77 g77 pgf90 pgf77 ifort ifc frt af77 xlf_r" ;;
    40314070  *) coin_f77_comps="xlf_r fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    40324071 esac
     
    42004239
    42014240# Provide some information about the compiler.
    4202 echo "$as_me:4202:" \
     4241echo "$as_me:4241:" \
    42034242     "checking for Fortran 77 compiler version" >&5
    42044243ac_compiler=`set X $ac_compile; echo $2`
     
    46884727fi
    46894728
     4729# correct the LD variable if we use the intel fortran compiler in windows
    46904730case "$F77" in
    46914731  ifort* | */ifort* | IFORT* | */IFORT*)
     
    58755915full_prefix=`cd $full_prefix ; pwd`
    58765916
    5877 abs_lib_dir=$full_prefix/lib/coin
     5917abs_lib_dir=$full_prefix/lib
    58785918
    58795919abs_include_dir=$full_prefix/include
     
    64596499*-*-irix6*)
    64606500  # Find out which ABI we are using.
    6461   echo '#line 6461 "configure"' > conftest.$ac_ext
     6501  echo '#line 6501 "configure"' > conftest.$ac_ext
    64626502  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64636503  (eval $ac_compile) 2>&5
     
    84238463   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84248464   -e 's:$: $lt_compiler_flag:'`
    8425    (eval echo "\"\$as_me:8425: $lt_compile\"" >&5)
     8465   (eval echo "\"\$as_me:8465: $lt_compile\"" >&5)
    84268466   (eval "$lt_compile" 2>conftest.err)
    84278467   ac_status=$?
    84288468   cat conftest.err >&5
    8429    echo "$as_me:8429: \$? = $ac_status" >&5
     8469   echo "$as_me:8469: \$? = $ac_status" >&5
    84308470   if (exit $ac_status) && test -s "$ac_outfile"; then
    84318471     # The compiler can only warn and ignore the option if not recognized
     
    86918731   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86928732   -e 's:$: $lt_compiler_flag:'`
    8693    (eval echo "\"\$as_me:8693: $lt_compile\"" >&5)
     8733   (eval echo "\"\$as_me:8733: $lt_compile\"" >&5)
    86948734   (eval "$lt_compile" 2>conftest.err)
    86958735   ac_status=$?
    86968736   cat conftest.err >&5
    8697    echo "$as_me:8697: \$? = $ac_status" >&5
     8737   echo "$as_me:8737: \$? = $ac_status" >&5
    86988738   if (exit $ac_status) && test -s "$ac_outfile"; then
    86998739     # The compiler can only warn and ignore the option if not recognized
     
    87958835   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87968836   -e 's:$: $lt_compiler_flag:'`
    8797    (eval echo "\"\$as_me:8797: $lt_compile\"" >&5)
     8837   (eval echo "\"\$as_me:8837: $lt_compile\"" >&5)
    87988838   (eval "$lt_compile" 2>out/conftest.err)
    87998839   ac_status=$?
    88008840   cat out/conftest.err >&5
    8801    echo "$as_me:8801: \$? = $ac_status" >&5
     8841   echo "$as_me:8841: \$? = $ac_status" >&5
    88028842   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    88038843   then
     
    1114011180  lt_status=$lt_dlunknown
    1114111181  cat > conftest.$ac_ext <<EOF
    11142 #line 11142 "configure"
     11182#line 11182 "configure"
    1114311183#include "confdefs.h"
    1114411184
     
    1124011280  lt_status=$lt_dlunknown
    1124111281  cat > conftest.$ac_ext <<EOF
    11242 #line 11242 "configure"
     11282#line 11282 "configure"
    1124311283#include "confdefs.h"
    1124411284
     
    1358413624   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1358513625   -e 's:$: $lt_compiler_flag:'`
    13586    (eval echo "\"\$as_me:13586: $lt_compile\"" >&5)
     13626   (eval echo "\"\$as_me:13626: $lt_compile\"" >&5)
    1358713627   (eval "$lt_compile" 2>conftest.err)
    1358813628   ac_status=$?
    1358913629   cat conftest.err >&5
    13590    echo "$as_me:13590: \$? = $ac_status" >&5
     13630   echo "$as_me:13630: \$? = $ac_status" >&5
    1359113631   if (exit $ac_status) && test -s "$ac_outfile"; then
    1359213632     # The compiler can only warn and ignore the option if not recognized
     
    1368813728   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1368913729   -e 's:$: $lt_compiler_flag:'`
    13690    (eval echo "\"\$as_me:13690: $lt_compile\"" >&5)
     13730   (eval echo "\"\$as_me:13730: $lt_compile\"" >&5)
    1369113731   (eval "$lt_compile" 2>out/conftest.err)
    1369213732   ac_status=$?
    1369313733   cat out/conftest.err >&5
    13694    echo "$as_me:13694: \$? = $ac_status" >&5
     13734   echo "$as_me:13734: \$? = $ac_status" >&5
    1369513735   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1369613736   then
     
    1525815298   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1525915299   -e 's:$: $lt_compiler_flag:'`
    15260    (eval echo "\"\$as_me:15260: $lt_compile\"" >&5)
     15300   (eval echo "\"\$as_me:15300: $lt_compile\"" >&5)
    1526115301   (eval "$lt_compile" 2>conftest.err)
    1526215302   ac_status=$?
    1526315303   cat conftest.err >&5
    15264    echo "$as_me:15264: \$? = $ac_status" >&5
     15304   echo "$as_me:15304: \$? = $ac_status" >&5
    1526515305   if (exit $ac_status) && test -s "$ac_outfile"; then
    1526615306     # The compiler can only warn and ignore the option if not recognized
     
    1536215402   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1536315403   -e 's:$: $lt_compiler_flag:'`
    15364    (eval echo "\"\$as_me:15364: $lt_compile\"" >&5)
     15404   (eval echo "\"\$as_me:15404: $lt_compile\"" >&5)
    1536515405   (eval "$lt_compile" 2>out/conftest.err)
    1536615406   ac_status=$?
    1536715407   cat out/conftest.err >&5
    15368    echo "$as_me:15368: \$? = $ac_status" >&5
     15408   echo "$as_me:15408: \$? = $ac_status" >&5
    1536915409   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1537015410   then
     
    1756917609   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1757017610   -e 's:$: $lt_compiler_flag:'`
    17571    (eval echo "\"\$as_me:17571: $lt_compile\"" >&5)
     17611   (eval echo "\"\$as_me:17611: $lt_compile\"" >&5)
    1757217612   (eval "$lt_compile" 2>conftest.err)
    1757317613   ac_status=$?
    1757417614   cat conftest.err >&5
    17575    echo "$as_me:17575: \$? = $ac_status" >&5
     17615   echo "$as_me:17615: \$? = $ac_status" >&5
    1757617616   if (exit $ac_status) && test -s "$ac_outfile"; then
    1757717617     # The compiler can only warn and ignore the option if not recognized
     
    1783717877   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1783817878   -e 's:$: $lt_compiler_flag:'`
    17839    (eval echo "\"\$as_me:17839: $lt_compile\"" >&5)
     17879   (eval echo "\"\$as_me:17879: $lt_compile\"" >&5)
    1784017880   (eval "$lt_compile" 2>conftest.err)
    1784117881   ac_status=$?
    1784217882   cat conftest.err >&5
    17843    echo "$as_me:17843: \$? = $ac_status" >&5
     17883   echo "$as_me:17883: \$? = $ac_status" >&5
    1784417884   if (exit $ac_status) && test -s "$ac_outfile"; then
    1784517885     # The compiler can only warn and ignore the option if not recognized
     
    1794117981   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1794217982   -e 's:$: $lt_compiler_flag:'`
    17943    (eval echo "\"\$as_me:17943: $lt_compile\"" >&5)
     17983   (eval echo "\"\$as_me:17983: $lt_compile\"" >&5)
    1794417984   (eval "$lt_compile" 2>out/conftest.err)
    1794517985   ac_status=$?
    1794617986   cat out/conftest.err >&5
    17947    echo "$as_me:17947: \$? = $ac_status" >&5
     17987   echo "$as_me:17987: \$? = $ac_status" >&5
    1794817988   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1794917989   then
     
    2074020780      if test "$GXX" = "yes"; then
    2074120781        RPATH_FLAGS=
    20742         for dir in $abs_lib_dir $abs_lib_dir/ThirdParty; do
     20782        for dir in $abs_lib_dir; do
    2074320783          RPATH_FLAGS="$RPATH_FLAGS -Wl,--rpath -Wl,$dir"
    2074420784        done
     
    2075720797    *-*-solaris*)
    2075820798        RPATH_FLAGS=
    20759         for dir in $abs_lib_dir $abs_lib_dir/ThirdParty; do
     20799        for dir in $abs_lib_dir; do
    2076020800          RPATH_FLAGS="$RPATH_FLAGS -R$dir"
    2076120801        done
     
    2102321063        COIN_PKG_CONFIG_PATH_UNINSTALLED="`cd ../$i; pwd`:${COIN_PKG_CONFIG_PATH_UNINSTALLED}"
    2102421064      fi
     21065      if test -d ../$i/pkgconfig ; then
     21066        COIN_PKG_CONFIG_PATH_UNINSTALLED="`cd ../$i/pkgconfig; pwd`:${COIN_PKG_CONFIG_PATH_UNINSTALLED}"
     21067      fi
    2102521068    done
    2102621069  fi
     
    2103021073      if test -d ../../$i ; then
    2103121074        COIN_PKG_CONFIG_PATH_UNINSTALLED="`cd ../../$i; pwd`:${COIN_PKG_CONFIG_PATH_UNINSTALLED}"
     21075      fi
     21076      if test -d ../../$i/pkgconfig ; then
     21077        COIN_PKG_CONFIG_PATH_UNINSTALLED="`cd ../../$i/pkgconfig; pwd`:${COIN_PKG_CONFIG_PATH_UNINSTALLED}"
    2103221078      fi
    2103321079    done
     
    2106021106if test $coin_has_blas != skipping; then
    2106121107  if test $PACKAGE_TARNAME = blas; then
    21062     coin_has_blas=.
     21108    coin_has_blas=yes
    2106321109    coin_have_project_dir=yes
    2106421110  fi
     
    2106821114if test "${with_blas_lib+set}" = set; then
    2106921115  withval="$with_blas_lib"
    21070   coin_has_blas=installed
     21116  coin_has_blas="yes, via --with-blas-lib"
    2107121117fi;
    2107221118
     
    2107521121if test "${with_blas_incdir+set}" = set; then
    2107621122  withval="$with_blas_incdir"
    21077   coin_has_blas=installed
     21123  coin_has_blas="yes, via --with-blas-incdir"
    2107821124fi;
    2107921125
     
    2108221128if test "${with_blas_datadir+set}" = set; then
    2108321129  withval="$with_blas_datadir"
    21084   coin_has_blas=installed
     21130  coin_has_blas="yes, via --with-blas-datadir"
    2108521131fi;
    2108621132
     
    2109421140           coin_has_blas=notGiven
    2109521141         else
    21096            coin_has_blas=installed
     21142           coin_has_blas="yes, via --with-blas"
    2109721143         fi
    2109821144fi;
     
    2111521161
    2111621162    if test $coin_have_project_dir = yes; then
    21117       coin_has_blas=ThirdParty/Blas
     21163      coin_has_blas="yes, source in ThirdParty/Blas"
    2111821164    fi
    2111921165  fi
     
    2112121167
    2112221168# check for project by using pkg-config, if pkg-config is available
    21123 if test $coin_has_blas = notGiven; then
     21169if test "$coin_has_blas" = notGiven; then
    2112421170  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2112521171  if test -n "$PKG_CONFIG" ; then
     
    2113021176  if $PKG_CONFIG --exists "coinblas"; then
    2113121177    COINBLAS_VERSION=`$PKG_CONFIG --modversion "coinblas" 2>/dev/null`
    21132     coin_has_blas="$COINBLAS_VERSION"
     21178    coin_has_blas="yes, found installed version $COINBLAS_VERSION"
    2113321179  else
    2113421180    COINBLAS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinblas"`
     
    2114621192fi
    2114721193
    21148 echo "$as_me:$LINENO: result: $coin_has_blas" >&5
     21194if test "$coin_has_blas" = notGiven; then
     21195  echo "$as_me:$LINENO: result: no (but will check for system blas later)" >&5
     21196echo "${ECHO_T}no (but will check for system blas later)" >&6
     21197else
     21198  echo "$as_me:$LINENO: result: $coin_has_blas" >&5
    2114921199echo "${ECHO_T}$coin_has_blas" >&6
    21150 
    21151 echo "$as_me:$LINENO: checking whether project Blas needs to be configured" >&5
    21152 echo $ECHO_N "checking whether project Blas needs to be configured... $ECHO_C" >&6
     21200fi
     21201
     21202echo "$as_me:$LINENO: checking whether project ThirdParty/Blas needs to be configured" >&5
     21203echo $ECHO_N "checking whether project ThirdParty/Blas needs to be configured... $ECHO_C" >&6
    2115321204if test "$coin_have_project_dir" = yes ; then
    2115421205
     
    2119221243if test $coin_has_lapack != skipping; then
    2119321244  if test $PACKAGE_TARNAME = lapack; then
    21194     coin_has_lapack=.
     21245    coin_has_lapack=yes
    2119521246    coin_have_project_dir=yes
    2119621247  fi
     
    2120021251if test "${with_lapack_lib+set}" = set; then
    2120121252  withval="$with_lapack_lib"
    21202   coin_has_lapack=installed
     21253  coin_has_lapack="yes, via --with-lapack-lib"
    2120321254fi;
    2120421255
     
    2120721258if test "${with_lapack_incdir+set}" = set; then
    2120821259  withval="$with_lapack_incdir"
    21209   coin_has_lapack=installed
     21260  coin_has_lapack="yes, via --with-lapack-incdir"
    2121021261fi;
    2121121262
     
    2121421265if test "${with_lapack_datadir+set}" = set; then
    2121521266  withval="$with_lapack_datadir"
    21216   coin_has_lapack=installed
     21267  coin_has_lapack="yes, via --with-lapack-datadir"
    2121721268fi;
    2121821269
     
    2122821279           coin_has_lapack=notGiven
    2122921280         else
    21230            coin_has_lapack=installed
     21281           coin_has_lapack="yes, via --with-lapack"
    2123121282         fi
    2123221283fi;
     
    2124721298
    2124821299    if test $coin_have_project_dir = yes; then
    21249       coin_has_lapack=ThirdParty/Lapack
     21300      coin_has_lapack="yes, source in ThirdParty/Lapack"
    2125021301    fi
    2125121302  fi
     
    2125321304
    2125421305# check for project by using pkg-config, if pkg-config is available
    21255 if test $coin_has_lapack = notGiven; then
     21306if test "$coin_has_lapack" = notGiven; then
    2125621307  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2125721308  if test -n "$PKG_CONFIG" ; then
     
    2126221313  if $PKG_CONFIG --exists "coinlapack"; then
    2126321314    COINLAPACK_VERSION=`$PKG_CONFIG --modversion "coinlapack" 2>/dev/null`
    21264     coin_has_lapack="$COINLAPACK_VERSION"
     21315    coin_has_lapack="yes, found installed version $COINLAPACK_VERSION"
    2126521316  else
    2126621317    COINLAPACK_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinlapack"`
     
    2127821329fi
    2127921330
    21280 echo "$as_me:$LINENO: result: $coin_has_lapack" >&5
     21331if test "$coin_has_lapack" = notGiven; then
     21332  echo "$as_me:$LINENO: result: no (but will check for system lapack later)" >&5
     21333echo "${ECHO_T}no (but will check for system lapack later)" >&6
     21334else
     21335  echo "$as_me:$LINENO: result: $coin_has_lapack" >&5
    2128121336echo "${ECHO_T}$coin_has_lapack" >&6
    21282 
    21283 echo "$as_me:$LINENO: checking whether project Lapack needs to be configured" >&5
    21284 echo $ECHO_N "checking whether project Lapack needs to be configured... $ECHO_C" >&6
     21337fi
     21338
     21339echo "$as_me:$LINENO: checking whether project ThirdParty/Lapack needs to be configured" >&5
     21340echo $ECHO_N "checking whether project ThirdParty/Lapack needs to be configured... $ECHO_C" >&6
    2128521341if test "$coin_have_project_dir" = yes ; then
    2128621342
     
    2132421380if test $coin_has_sample != skipping; then
    2132521381  if test $PACKAGE_TARNAME = sample; then
    21326     coin_has_sample=.
     21382    coin_has_sample=yes
    2132721383    coin_have_project_dir=yes
    2132821384  fi
     
    2133221388if test "${with_sample_lib+set}" = set; then
    2133321389  withval="$with_sample_lib"
    21334   coin_has_sample=installed
     21390  coin_has_sample="yes, via --with-sample-lib"
    2133521391fi;
    2133621392
     
    2133921395if test "${with_sample_incdir+set}" = set; then
    2134021396  withval="$with_sample_incdir"
    21341   coin_has_sample=installed
     21397  coin_has_sample="yes, via --with-sample-incdir"
    2134221398fi;
    2134321399
     
    2134621402if test "${with_sample_datadir+set}" = set; then
    2134721403  withval="$with_sample_datadir"
    21348   coin_has_sample=installed
     21404  coin_has_sample="yes, via --with-sample-datadir"
    2134921405fi;
    2135021406
     
    2136421420
    2136521421    if test $coin_have_project_dir = yes; then
    21366       coin_has_sample=Data/Sample
     21422      coin_has_sample="yes, source in Data/Sample"
    2136721423    fi
    2136821424  fi
     
    2137021426
    2137121427# check for project by using pkg-config, if pkg-config is available
    21372 if test $coin_has_sample = notGiven; then
     21428if test "$coin_has_sample" = notGiven; then
    2137321429  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2137421430  if test -n "$PKG_CONFIG" ; then
     
    2137921435  if $PKG_CONFIG --exists "coindatasample"; then
    2138021436    COINDATASAMPLE_VERSION=`$PKG_CONFIG --modversion "coindatasample" 2>/dev/null`
    21381     coin_has_sample="$COINDATASAMPLE_VERSION"
     21437    coin_has_sample="yes, found installed version $COINDATASAMPLE_VERSION"
    2138221438  else
    2138321439    COINDATASAMPLE_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coindatasample"`
     
    2139521451fi
    2139621452
    21397 echo "$as_me:$LINENO: result: $coin_has_sample" >&5
     21453if test "$coin_has_sample" = notGiven; then
     21454  echo "$as_me:$LINENO: result: not given" >&5
     21455echo "${ECHO_T}not given" >&6
     21456
     21457else
     21458  echo "$as_me:$LINENO: result: $coin_has_sample" >&5
    2139821459echo "${ECHO_T}$coin_has_sample" >&6
    21399 
    21400 echo "$as_me:$LINENO: checking whether project Sample needs to be configured" >&5
    21401 echo $ECHO_N "checking whether project Sample needs to be configured... $ECHO_C" >&6
     21460fi
     21461
     21462echo "$as_me:$LINENO: checking whether project Data/Sample needs to be configured" >&5
     21463echo $ECHO_N "checking whether project Data/Sample needs to be configured... $ECHO_C" >&6
    2140221464if test "$coin_have_project_dir" = yes ; then
    2140321465
     
    2144121503if test $coin_has_netlib != skipping; then
    2144221504  if test $PACKAGE_TARNAME = netlib; then
    21443     coin_has_netlib=.
     21505    coin_has_netlib=yes
    2144421506    coin_have_project_dir=yes
    2144521507  fi
     
    2144921511if test "${with_netlib_lib+set}" = set; then
    2145021512  withval="$with_netlib_lib"
    21451   coin_has_netlib=installed
     21513  coin_has_netlib="yes, via --with-netlib-lib"
    2145221514fi;
    2145321515
     
    2145621518if test "${with_netlib_incdir+set}" = set; then
    2145721519  withval="$with_netlib_incdir"
    21458   coin_has_netlib=installed
     21520  coin_has_netlib="yes, via --with-netlib-incdir"
    2145921521fi;
    2146021522
     
    2146321525if test "${with_netlib_datadir+set}" = set; then
    2146421526  withval="$with_netlib_datadir"
    21465   coin_has_netlib=installed
     21527  coin_has_netlib="yes, via --with-netlib-datadir"
    2146621528fi;
    2146721529
     
    2148121543
    2148221544    if test $coin_have_project_dir = yes; then
    21483       coin_has_netlib=Data/Netlib
     21545      coin_has_netlib="yes, source in Data/Netlib"
    2148421546    fi
    2148521547  fi
     
    2148721549
    2148821550# check for project by using pkg-config, if pkg-config is available
    21489 if test $coin_has_netlib = notGiven; then
     21551if test "$coin_has_netlib" = notGiven; then
    2149021552  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2149121553  if test -n "$PKG_CONFIG" ; then
     
    2149621558  if $PKG_CONFIG --exists "coindatanetlib"; then
    2149721559    COINDATANETLIB_VERSION=`$PKG_CONFIG --modversion "coindatanetlib" 2>/dev/null`
    21498     coin_has_netlib="$COINDATANETLIB_VERSION"
     21560    coin_has_netlib="yes, found installed version $COINDATANETLIB_VERSION"
    2149921561  else
    2150021562    COINDATANETLIB_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coindatanetlib"`
     
    2151221574fi
    2151321575
    21514 echo "$as_me:$LINENO: result: $coin_has_netlib" >&5
     21576if test "$coin_has_netlib" = notGiven; then
     21577  echo "$as_me:$LINENO: result: not given" >&5
     21578echo "${ECHO_T}not given" >&6
     21579
     21580else
     21581  echo "$as_me:$LINENO: result: $coin_has_netlib" >&5
    2151521582echo "${ECHO_T}$coin_has_netlib" >&6
    21516 
    21517 echo "$as_me:$LINENO: checking whether project Netlib needs to be configured" >&5
    21518 echo $ECHO_N "checking whether project Netlib needs to be configured... $ECHO_C" >&6
     21583fi
     21584
     21585echo "$as_me:$LINENO: checking whether project Data/Netlib needs to be configured" >&5
     21586echo $ECHO_N "checking whether project Data/Netlib needs to be configured... $ECHO_C" >&6
    2151921587if test "$coin_have_project_dir" = yes ; then
    2152021588
     
    2155821626if test $coin_has_coinutils != skipping; then
    2155921627  if test $PACKAGE_TARNAME = coinutils; then
    21560     coin_has_coinutils=.
     21628    coin_has_coinutils=yes
    2156121629    coin_have_project_dir=yes
    2156221630  fi
     
    2156621634if test "${with_coinutils_lib+set}" = set; then
    2156721635  withval="$with_coinutils_lib"
    21568   coin_has_coinutils=installed
     21636  coin_has_coinutils="yes, via --with-coinutils-lib"
    2156921637fi;
    2157021638
     
    2157321641if test "${with_coinutils_incdir+set}" = set; then
    2157421642  withval="$with_coinutils_incdir"
    21575   coin_has_coinutils=installed
     21643  coin_has_coinutils="yes, via --with-coinutils-incdir"
    2157621644fi;
    2157721645
     
    2158021648if test "${with_coinutils_datadir+set}" = set; then
    2158121649  withval="$with_coinutils_datadir"
    21582   coin_has_coinutils=installed
     21650  coin_has_coinutils="yes, via --with-coinutils-datadir"
    2158321651fi;
    2158421652
     
    2159821666
    2159921667    if test $coin_have_project_dir = yes; then
    21600       coin_has_coinutils=CoinUtils
     21668      coin_has_coinutils="yes, source in CoinUtils"
    2160121669    fi
    2160221670  fi
     
    2160421672
    2160521673# check for project by using pkg-config, if pkg-config is available
    21606 if test $coin_has_coinutils = notGiven; then
     21674if test "$coin_has_coinutils" = notGiven; then
    2160721675  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2160821676  if test -n "$PKG_CONFIG" ; then
     
    2161321681  if $PKG_CONFIG --exists "coinutils"; then
    2161421682    COINUTILS_VERSION=`$PKG_CONFIG --modversion "coinutils" 2>/dev/null`
    21615     coin_has_coinutils="$COINUTILS_VERSION"
     21683    coin_has_coinutils="yes, found installed version $COINUTILS_VERSION"
    2161621684  else
    2161721685    COINUTILS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinutils"`
     
    2162921697fi
    2163021698
    21631 echo "$as_me:$LINENO: result: $coin_has_coinutils" >&5
     21699if test "$coin_has_coinutils" = notGiven; then
     21700  echo "$as_me:$LINENO: result: not given" >&5
     21701echo "${ECHO_T}not given" >&6
     21702
     21703else
     21704  echo "$as_me:$LINENO: result: $coin_has_coinutils" >&5
    2163221705echo "${ECHO_T}$coin_has_coinutils" >&6
     21706fi
    2163321707
    2163421708echo "$as_me:$LINENO: checking whether project CoinUtils needs to be configured" >&5
     
    2167521749if test $coin_has_osi != skipping; then
    2167621750  if test $PACKAGE_TARNAME = osi; then
    21677     coin_has_osi=.
     21751    coin_has_osi=yes
    2167821752    coin_have_project_dir=yes
    2167921753  fi
     
    2168321757if test "${with_osi_lib+set}" = set; then
    2168421758  withval="$with_osi_lib"
    21685   coin_has_osi=installed
     21759  coin_has_osi="yes, via --with-osi-lib"
    2168621760fi;
    2168721761
     
    2169021764if test "${with_osi_incdir+set}" = set; then
    2169121765  withval="$with_osi_incdir"
    21692   coin_has_osi=installed
     21766  coin_has_osi="yes, via --with-osi-incdir"
    2169321767fi;
    2169421768
     
    2169721771if test "${with_osi_datadir+set}" = set; then
    2169821772  withval="$with_osi_datadir"
    21699   coin_has_osi=installed
     21773  coin_has_osi="yes, via --with-osi-datadir"
    2170021774fi;
    2170121775
     
    2171521789
    2171621790    if test $coin_have_project_dir = yes; then
    21717       coin_has_osi=Osi
     21791      coin_has_osi="yes, source in Osi"
    2171821792    fi
    2171921793  fi
     
    2172121795
    2172221796# check for project by using pkg-config, if pkg-config is available
    21723 if test $coin_has_osi = notGiven; then
     21797if test "$coin_has_osi" = notGiven; then
    2172421798  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2172521799  if test -n "$PKG_CONFIG" ; then
     
    2173021804  if $PKG_CONFIG --exists "osi"; then
    2173121805    OSI_VERSION=`$PKG_CONFIG --modversion "osi" 2>/dev/null`
    21732     coin_has_osi="$OSI_VERSION"
     21806    coin_has_osi="yes, found installed version $OSI_VERSION"
    2173321807  else
    2173421808    OSI_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi"`
     
    2174621820fi
    2174721821
    21748 echo "$as_me:$LINENO: result: $coin_has_osi" >&5
     21822if test "$coin_has_osi" = notGiven; then
     21823  echo "$as_me:$LINENO: result: not given" >&5
     21824echo "${ECHO_T}not given" >&6
     21825
     21826else
     21827  echo "$as_me:$LINENO: result: $coin_has_osi" >&5
    2174921828echo "${ECHO_T}$coin_has_osi" >&6
     21829fi
    2175021830
    2175121831echo "$as_me:$LINENO: checking whether project Osi needs to be configured" >&5
     
    2179221872if test $coin_has_clp != skipping; then
    2179321873  if test $PACKAGE_TARNAME = clp; then
    21794     coin_has_clp=.
     21874    coin_has_clp=yes
    2179521875    coin_have_project_dir=yes
    2179621876  fi
     
    2180021880if test "${with_clp_lib+set}" = set; then
    2180121881  withval="$with_clp_lib"
    21802   coin_has_clp=installed
     21882  coin_has_clp="yes, via --with-clp-lib"
    2180321883fi;
    2180421884
     
    2180721887if test "${with_clp_incdir+set}" = set; then
    2180821888  withval="$with_clp_incdir"
    21809   coin_has_clp=installed
     21889  coin_has_clp="yes, via --with-clp-incdir"
    2181021890fi;
    2181121891
     
    2181421894if test "${with_clp_datadir+set}" = set; then
    2181521895  withval="$with_clp_datadir"
    21816   coin_has_clp=installed
     21896  coin_has_clp="yes, via --with-clp-datadir"
    2181721897fi;
    2181821898
     
    2183221912
    2183321913    if test $coin_have_project_dir = yes; then
    21834       coin_has_clp=Clp
     21914      coin_has_clp="yes, source in Clp"
    2183521915    fi
    2183621916  fi
     
    2183821918
    2183921919# check for project by using pkg-config, if pkg-config is available
    21840 if test $coin_has_clp = notGiven; then
     21920if test "$coin_has_clp" = notGiven; then
    2184121921  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2184221922  if test -n "$PKG_CONFIG" ; then
     
    2184721927  if $PKG_CONFIG --exists "clp"; then
    2184821928    CLP_VERSION=`$PKG_CONFIG --modversion "clp" 2>/dev/null`
    21849     coin_has_clp="$CLP_VERSION"
     21929    coin_has_clp="yes, found installed version $CLP_VERSION"
    2185021930  else
    2185121931    CLP_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "clp"`
     
    2186321943fi
    2186421944
    21865 echo "$as_me:$LINENO: result: $coin_has_clp" >&5
     21945if test "$coin_has_clp" = notGiven; then
     21946  echo "$as_me:$LINENO: result: not given" >&5
     21947echo "${ECHO_T}not given" >&6
     21948
     21949else
     21950  echo "$as_me:$LINENO: result: $coin_has_clp" >&5
    2186621951echo "${ECHO_T}$coin_has_clp" >&6
     21952fi
    2186721953
    2186821954echo "$as_me:$LINENO: checking whether project Clp needs to be configured" >&5
     
    2203422120          echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
    2203522121echo "${ECHO_T}$doxydir (tag)" >&6
    22036           coin_doxy_excludes="$coin_doxy_excludes */${proj}*"
     22122          coin_doxy_excludes="$coin_doxy_excludes */${proj}"
    2203722123        else
    2203822124          # will process the source -- nothing further to be done here
     
    2209122177
    2209222178if test x$coin_skip_ac_output != xyes; then
    22093 
    22094   FADDLIBS="$ADDLIBS"
    22095   if test x"$coin_need_flibs" = xyes; then
    22096     ADDLIBS="$ADDLIBS $FLIBS"
    22097   fi
    22098   PCADDLIBS="$PCADDLIBS $ADDLIBS"
    2209922179
    2210022180  # library extension
     
    2226122341
    2226222342
     22343if test -z "${COIN_CC_IS_CL_TRUE}" && test -z "${COIN_CC_IS_CL_FALSE}"; then
     22344  { { echo "$as_me:$LINENO: error: conditional \"COIN_CC_IS_CL\" was never defined.
     22345Usually this means the macro was only invoked conditionally." >&5
     22346echo "$as_me: error: conditional \"COIN_CC_IS_CL\" was never defined.
     22347Usually this means the macro was only invoked conditionally." >&2;}
     22348   { (exit 1); exit 1; }; }
     22349fi
     22350if test -z "${COIN_CXX_IS_CL_TRUE}" && test -z "${COIN_CXX_IS_CL_FALSE}"; then
     22351  { { echo "$as_me:$LINENO: error: conditional \"COIN_CXX_IS_CL\" was never defined.
     22352Usually this means the macro was only invoked conditionally." >&5
     22353echo "$as_me: error: conditional \"COIN_CXX_IS_CL\" was never defined.
     22354Usually this means the macro was only invoked conditionally." >&2;}
     22355   { (exit 1); exit 1; }; }
     22356fi
    2226322357if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
    2226422358  { { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined.
     
    2283322927s,@build_vendor@,$build_vendor,;t t
    2283422928s,@build_os@,$build_os,;t t
     22929s,@COIN_CC_IS_CL_TRUE@,$COIN_CC_IS_CL_TRUE,;t t
     22930s,@COIN_CC_IS_CL_FALSE@,$COIN_CC_IS_CL_FALSE,;t t
    2283522931s,@CDEFS@,$CDEFS,;t t
    2283622932s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
     
    2285322949s,@CXXFLAGS@,$CXXFLAGS,;t t
    2285422950s,@ac_ct_CXX@,$ac_ct_CXX,;t t
     22951s,@COIN_CXX_IS_CL_TRUE@,$COIN_CXX_IS_CL_TRUE,;t t
     22952s,@COIN_CXX_IS_CL_FALSE@,$COIN_CXX_IS_CL_FALSE,;t t
    2285522953s,@MPICXX@,$MPICXX,;t t
    2285622954s,@ADD_FFLAGS@,$ADD_FFLAGS,;t t
Note: See TracChangeset for help on using the changeset viewer.